Download it now!
Bug 74302 - "Breaking" imported DXF mangles all texts
Summary: "Breaking" imported DXF mangles all texts
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta1
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Matúš Kukan
URL:
Whiteboard: target:4.2.4
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-02-01 04:26 UTC by Mike Kaganski
Modified: 2015-01-22 21:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
DXF to test + PDF showing problem (101.38 KB, application/zip)
2014-02-01 04:26 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2014-02-01 04:26:52 UTC
Created attachment 93157 [details]
DXF to test + PDF showing problem

Steps to reproduce:
1. Import a DXF to Draw
2. Select the imported image; there is "Metafile selected" notification in status bar
3. Menu Modify->Break

Expected result:
All text must stay as they were.

Actual result:
All texts now contain only one word: "!!br0ken!!"

Tested with 4.2.0.0.beta1-4.2.0.4 under Win7x64.
No problem with 4.1.4.2 -> regression.

Attached is a DXF to test, and a PDF showing the result in LO 4.2.0.4.

Aside: the wording "!!br0ken!!" is somewhat "childish". If something goes wrong, it would be better not to use words with numbers instead of some letters, etc.
Comment 1 Andras Timar 2014-03-30 07:24:56 UTC
Confirmed in libreoffice-4-2. The bug is fixed in master by 4c539fac018dfd44cd8db52161a8cb930c627da7
Comment 2 Commit Notification 2014-04-02 11:51:20 UTC
Matuš Kukan committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d5b3e74e50a2616c85d1955f59e55bb4edba32dd&h=libreoffice-4-2

fdo#74302: Adapt to OUString changes and set length exactly.


It will be available in LibreOffice 4.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.